### Class

# Ide Diagnostic

#### Description

    class Ide.Diagnostic : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Descendants

- IdeLspDiagnostic

#### Constructors

###### ide_diagnostic_new

No description available.

###### ide_diagnostic_new_from_variant

Creates a new `GVariant` using the data contained in `variant`.

Available since: 3.32

#### Instance methods

###### ide_diagnostic_add_fixit

Adds a source fixit to the diagnostic.

Available since: 3.32

###### ide_diagnostic_add_range

Adds a source range to the diagnostic.

Available since: 3.32

###### ide_diagnostic_compare

No description available.

###### ide_diagnostic_get_file

Gets the file containing the diagnostic, if any.

Available since: 3.32

###### ide_diagnostic_get_fixit

Gets the fixit denoted by `index`. This value should be less than the value returned from ide_diagnostic_get_n_fixits().

Available since: 3.32

###### ide_diagnostic_get_location

Gets the location of the diagnostic.

Available since: 3.32

###### ide_diagnostic_get_marked_kind

No description available.

###### ide_diagnostic_get_n_fixits

No description available.

###### ide_diagnostic_get_n_ranges

No description available.

###### ide_diagnostic_get_range

Retrieves the range found at `index`. It is a programming error to call this function with a value greater or equal to ide_diagnostic_get_n_ranges().

Available since: 3.32

###### ide_diagnostic_get_severity

No description available.

###### ide_diagnostic_get_text

No description available.

###### ide_diagnostic_get_text_for_display

This creates a new string that is formatted using the diagnostics line number, column, severity, and message text in the format “line:column: severity: message”.

Available since: 3.32

###### ide_diagnostic_hash

No description available.

###### ide_diagnostic_set_marked_kind

No description available.

###### ide_diagnostic_take_fixit

Adds a source fixit to the diagnostic, but does not increment the reference count of `fixit`.

Available since: 3.32

###### ide_diagnostic_take_range

Adds a source range to the diagnostic, but does not increment the reference count of `range`.

Available since: 3.32

###### ide_diagnostic_to_variant

Creates a `GVariant` to represent the diagnostic. This can be useful when working in subprocesses to serialize the diagnostic.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Diagnostic:display-text

No description available.

###### Ide.Diagnostic:location

No description available.

###### Ide.Diagnostic:severity

No description available.

###### Ide.Diagnostic:text

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDiagnosticClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.